Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.hyperic.util.config
Class InvalidOptionValueException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  net.hyperic.util.NestedRuntimeException
                      net.hyperic.util.config.InvalidOptionValueException

All Implemented Interfaces:
  java.io.Serializable

public class InvalidOptionValueException
extends net.hyperic.util.NestedRuntimeException

See Also:
  Serialized Form

Constructor Summary
`InvalidOptionValueException()`
`InvalidOptionValueException(java.lang.String s)`
`InvalidOptionValueException(java.lang.String s, java.lang.Throwable t)`
`InvalidOptionValueException(java.lang.Throwable t)`

Methods inherited from class net.hyperic.util.NestedRuntimeException
`addException, getExceptionOfType, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, toString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidOptionValueException

    public InvalidOptionValueException()

### InvalidOptionValueException

    public InvalidOptionValueException(java.lang.String s)

### InvalidOptionValueException

    public InvalidOptionValueException(java.lang.Throwable t)

### InvalidOptionValueException

    public InvalidOptionValueException(java.lang.String s,
                                       java.lang.Throwable t)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.